TechDraw FormatierteTextAnmerkung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw RichTextAnnotation and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Vorherige: TechDraw LeaderLine.svg FührungLinie
Nächste: KosmetikKnoten TechDraw CosmeticVertex.svg Arrow-right.svg

TechDraw RichTextAnnotation.svg TechDraw FormatierteTextAnmerkung

Menüeintrag
TechDraw → Anmerkungen → Einfügen Formatierte Text Anmerkungen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
TechDraw Vorlagen, Entwurf SVG, TechDraw Führungslinie

Beschreibung

Das FormatierterTextBlock Werkzeug fügt einen formatierten Anmerkungsblock zu einer Führunglinie oder einer Ansicht hinzu.

TechDraw RichTextBlock sample.png

Eigenständiger FormatierterTextBlock

Anwendung

  1. Drücke die TechDraw RichTextAnnotation.svg Formatierte Text Anmerkung Schaltfläche
  2. Ein Aufgabendialog wird geöffnet. Der Dialog ermöglicht eine schnelle Eingabe von Text.
  3. Die Formatierter Text Editor starten Schaltfläche öffnet einen voll ausgestatteten Editor. Drücke auf das Symbol Speichern, um deine Änderungen aufzuzeichnen.
  4. Nachdem der Block erstellt wurde, kann er durch Doppelklicken auf den FormatierterTextBlock im Baum bearbeitet werden.
  5. Um den Block an eine Führungslinie anzuhängen, wähle die Linie aus, bevor du das FormatierterTextBlock Werkzeug startest.

Eigenschaften

  • Daten-EigenschaftX,Y: Die Position des Blocks. Relativ zum Ende der Zeile, wenn sie an eine LeaderLine angehängt ist, ansonsten ist dies die Position auf der Seite.
  • Daten-EigenschaftAnzeigeRahmen: Zeichnet einen Umriss um den Block herum.
  • Daten-EigenschaftMaxBreite: Begrenzt die horizontale Größe des Blocks. Ein Wert von -1 ist für unbegrenzte Breite.
  • Daten-EigenschaftAnmerkungsText: Der HTML-Text des Blocks.

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das FormatierterTextBlock Werkzeug kann in Makros und aus der Python Konsole verwendet werden.

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Hinweise

  • Du kannst deinen FormatierterTextBlock bearbeiten, indem du in der Baumansicht darauf doppelklickst. Ein Doppelklick in den Grafikbereich wird noch nicht unterstützt.


Arrow-left.svg Vorherige: TechDraw LeaderLine.svg FührungLinie
Nächste: KosmetikKnoten TechDraw CosmeticVertex.svg Arrow-right.svg